OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class SingleResultQuerier

    java.lang.Object
      org.opennms.netmgt.utils.JDBCTemplate
          org.opennms.netmgt.utils.Querier
              org.opennms.netmgt.utils.SingleResultQuerier

All Implemented Interfaces:
  RowProcessor

public class SingleResultQuerier
extends Querier

Field Summary
`private java.lang.Object` `m_result`

Fields inherited from class org.opennms.netmgt.utils.Querier
``

Fields inherited from class org.opennms.netmgt.utils.JDBCTemplate
``

Constructor Summary
`SingleResultQuerier(DbConnectionFactory db, java.lang.String sql)`

Method Summary
`java.lang.Object` `getResult()`
`void` `processRow(java.sql.ResultSet rs)`

Methods inherited from class org.opennms.netmgt.utils.Querier
`executeStmt, getCount`

Methods inherited from class org.opennms.netmgt.utils.JDBCTemplate
`execute, execute, execute, execute, execute, execute, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_result

    private java.lang.Object m_result

Constructor Detail

### SingleResultQuerier

    public SingleResultQuerier(DbConnectionFactory db,
                               java.lang.String sql)

Method Detail

### getResult

    public java.lang.Object getResult()

### processRow

    public void processRow(java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Specified by:
    `processRow` in interface `RowProcessor`
  Overrides:
    `processRow` in class `Querier`
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.